Loading...
Searching...
No Matches
Dune::Functions::StaticMultiIndex< size_type, 1 > Class Template Reference

A statically sized MultiIndex type. More...

`#include <dune/functions/common/multiindex.hh>`

Inheritance diagram for Dune::Functions::StaticMultiIndex< size_type, 1 >:

## Public Member Functions

| operator const size_type & () const
| operator size_type & ()

## Static Public Member Functions

static constexpr std::size_t | size ()
static constexpr std::size_t | max_size ()

## Public Attributes

T | elements
| STL member.

## Friends

std::size_t | hash_value (const StaticMultiIndex &v) noexcept

## Detailed Description

template<class size_type>
class Dune::Functions::StaticMultiIndex< size_type, 1 >

A statically sized MultiIndex type.

This is basically a std::array<size_type,1>.

This is the specialization for size==1 which additionally provides const and mutable casts to a reference to the single contained digit.

## Member Function Documentation

## max_size()

template<class size_type>

constexpr std::size_t Dune::Functions::StaticMultiIndex< size_type, 1 >::max_size | ( |  | ) |

inline static constexpr

## operator const size_type &()

template<class size_type>

Dune::Functions::StaticMultiIndex< size_type, 1 >::operator const size_type & | ( |  | ) | const

inline

## operator size_type &()

template<class size_type>

Dune::Functions::StaticMultiIndex< size_type, 1 >::operator size_type & | ( |  | ) |

inline

## size()

template<class size_type>

constexpr std::size_t Dune::Functions::StaticMultiIndex< size_type, 1 >::size | ( |  | ) |

inline static constexpr

## Friends And Related Symbol Documentation

## hash_value

template<class size_type>

std::size_t hash_value | ( | const StaticMultiIndex< size_type, 1 > & | v | ) |

friend

## Member Data Documentation

## elements

T std::array< T >::elements

STL member.

The documentation for this class was generated from the following file:

- multiindex.hh